/****************************************************************************
** HVSC_Dialog meta object code from reading C++ file 'HVSC_Dialog.h'
**
** Created: Thu Oct 26 17:51:14 2000
**      by: The Qt MOC ($Id: qt/src/moc/moc.y   2.2.1   edited 2000-09-29 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#define Q_MOC_HVSC_Dialog
#if !defined(Q_MOC_OUTPUT_REVISION)
#define Q_MOC_OUTPUT_REVISION 9
#elif Q_MOC_OUTPUT_REVISION != 9
#error "Moc format conflict - please regenerate all moc files"
#endif

#include "HVSC_Dialog.h"
#include <qmetaobject.h>
#include <qapplication.h>

#if defined(Q_SPARCWORKS_FUNCP_BUG)
#define Q_AMPERSAND
#else
#define Q_AMPERSAND &
#endif


const char *HVSC_Dialog::className() const
{
    return "HVSC_Dialog";
}

QMetaObject *HVSC_Dialog::metaObj = 0;

void HVSC_Dialog::initMetaObject()
{
    if ( metaObj )
	return;
    if ( qstrcmp(HVSC_DialogData::className(), "HVSC_DialogData") != 0 )
	badSuperclassWarning("HVSC_Dialog","HVSC_DialogData");
    (void) staticMetaObject();
}

#ifndef QT_NO_TRANSLATION

QString HVSC_Dialog::tr(const char* s)
{
    return qApp->translate( "HVSC_Dialog", s, 0 );
}

QString HVSC_Dialog::tr(const char* s, const char * c)
{
    return qApp->translate( "HVSC_Dialog", s, c );
}

#endif // QT_NO_TRANSLATION

QMetaObject* HVSC_Dialog::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    (void) HVSC_DialogData::staticMetaObject();
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    typedef void(HVSC_Dialog::*m1_t0)();
    typedef void(HVSC_Dialog::*m1_t1)();
    typedef void(HVSC_Dialog::*m1_t2)();
    m1_t0 v1_0 = Q_AMPERSAND HVSC_Dialog::okButtonClicked;
    m1_t1 v1_1 = Q_AMPERSAND HVSC_Dialog::cancelButtonClicked;
    m1_t2 v1_2 = Q_AMPERSAND HVSC_Dialog::browseButtonClicked;
    QMetaData *slot_tbl = QMetaObject::new_metadata(3);
    QMetaData::Access *slot_tbl_access = QMetaObject::new_metaaccess(3);
    slot_tbl[0].name = "okButtonClicked()";
    slot_tbl[0].ptr = (QMember)v1_0;
    slot_tbl_access[0] = QMetaData::Protected;
    slot_tbl[1].name = "cancelButtonClicked()";
    slot_tbl[1].ptr = (QMember)v1_1;
    slot_tbl_access[1] = QMetaData::Protected;
    slot_tbl[2].name = "browseButtonClicked()";
    slot_tbl[2].ptr = (QMember)v1_2;
    slot_tbl_access[2] = QMetaData::Protected;
    typedef void(HVSC_Dialog::*m2_t0)(const HVSC_Config&);
    m2_t0 v2_0 = Q_AMPERSAND HVSC_Dialog::changed;
    QMetaData *signal_tbl = QMetaObject::new_metadata(1);
    signal_tbl[0].name = "changed(const HVSC_Config&)";
    signal_tbl[0].ptr = (QMember)v2_0;
    metaObj = QMetaObject::new_metaobject(
	"HVSC_Dialog", "HVSC_DialogData",
	slot_tbl, 3,
	signal_tbl, 1,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    metaObj->set_slot_access( slot_tbl_access );
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    return metaObj;
}

#include <qobjectdefs.h>
#include <qsignalslotimp.h>

// SIGNAL changed
void HVSC_Dialog::changed( const HVSC_Config& t0 )
{
    // No builtin function for signal parameter type const HVSC_Config&
    QConnectionList *clist = receivers("changed(const HVSC_Config&)");
    if ( !clist || signalsBlocked() )
	return;
    typedef void (QObject::*RT0)();
    typedef void (QObject::*RT1)(const HVSC_Config&);
    RT0 r0;
    RT1 r1;
    QConnectionListIt it(*clist);
    QConnection   *c;
    QSenderObject *object;
    while ( (c=it.current()) ) {
	++it;
	object = (QSenderObject*)c->object();
	object->setSender( this );
	switch ( c->numArgs() ) {
	    case 0:
#ifdef Q_FP_CCAST_BROKEN
		r0 = reinterpret_cast<RT0>(*(c->member()));
#else
		r0 = (RT0)*(c->member());
#endif
		(object->*r0)();
		break;
	    case 1:
#ifdef Q_FP_CCAST_BROKEN
		r1 = reinterpret_cast<RT1>(*(c->member()));
#else
		r1 = (RT1)*(c->member());
#endif
		(object->*r1)(t0);
		break;
	}
    }
}
